漏洞信息详情

Nokogiri 命令注入漏洞

漏洞简介

Nokogiri是一款用于解析Ruby中HTML和XML的开源软件库。

Nokogiri v1.10.3及之前版本中存在命令注入漏洞。该漏洞源于外部输入数据构造可执行命令过程中,网络系统或产品未正确过滤其中的特殊元素。攻击者可利用该漏洞执行非法命令。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/sparklemotion/nokogiri/issues/1915

受影响实体

    暂无